<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Fragments/HeadingFormatter/HeadingFormatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Fragments.html" >Fragments</a>.<a href="../HeadingFormatter.html" >HeadingFormatter</a>
</div><div class="class-name">class HeadingFormatter

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html" target="detail">../Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line15" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="HeadingFormatter-inheritance" src="HeadingFormatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#HeadingFormatter-inheritance_map" />
<map name="HeadingFormatter-inheritance_map"></map>
 <div class="doc">Formats the top of a view - it is passed only the Declaration that the
    view is for &#40;a Module or Class&#41;.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">formatter</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line19" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="HeadingFormatter.html#format_name" >format_name</a></span>(<span class="variable">self</span>, <span class="variable">qname</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_name" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line33" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats a qualified name such that each name component becomes a link
        to the respective scope.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="HeadingFormatter.html#format_name_in_module" >format_name_in_module</a></span>(<span class="variable">self</span>, <span class="variable">qname</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_name_in_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line44" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats a reference to each parent scope&#44; starting at the first
        non-module scope.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="HeadingFormatter.html#format_module_of_name" >format_module_of_name</a></span>(<span class="variable">self</span>, <span class="variable">qname</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_module_of_name" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line64" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats a reference to each parent scope and this one.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="HeadingFormatter.html#format_module" >format_module</a></span>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line85" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the module by linking to each parent scope in the name.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="HeadingFormatter.html#format_meta_module" >format_meta_module</a></span>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_meta_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line95" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Calls format_module.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="HeadingFormatter.html#format_class" >format_class</a></span>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_class" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line100" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the class by linking to each parent scope in the name.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="HeadingFormatter.html#format_class_template" >format_class_template</a></span>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_class_template" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line137" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the class template by linking to each parent scope in the name.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="HeadingFormatter.html#format_forward" >format_forward</a></span>(<span class="variable">self</span>, <span class="variable">forward</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_forward" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line180" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the forward declaration if it is a template declaration.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="HeadingFormatter.html#format_parameter" >format_parameter</a></span>(<span class="variable">self</span>, <span class="variable">parameter</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_parameter" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line223" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_name">format_name</a>(<span class="variable">self</span>, <span class="variable">qname</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_name" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line33" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats a qualified name such that each name component becomes a link
        to the respective scope.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_name_in_module">format_name_in_module</a>(<span class="variable">self</span>, <span class="variable">qname</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_name_in_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line44" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats a reference to each parent scope&#44; starting at the first
        non-module scope.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_module_of_name">format_module_of_name</a>(<span class="variable">self</span>, <span class="variable">qname</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_module_of_name" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line64" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats a reference to each parent scope and this one.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_module">format_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line85" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the module by linking to each parent scope in the name.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_meta_module">format_meta_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_meta_module" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line95" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Calls format_module.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_class">format_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_class" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line100" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the class by linking to each parent scope in the name.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_class_template">format_class_template</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_class_template" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line137" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the class template by linking to each parent scope in the name.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_forward">format_forward</a>(<span class="variable">self</span>, <span class="variable">forward</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_forward" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line180" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the forward declaration if it is a template declaration.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_parameter">format_parameter</a>(<span class="variable">self</span>, <span class="variable">parameter</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Fragments.HeadingFormatter.HeadingFormatter.format_parameter" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/HeadingFormatter.py.html#line223" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns one string for the given parameter</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:09 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
